List location of company assets (based on proximity)

Purpose: Use this API to fetch a list of all the company assets. The response of this endpoint sorts the assets based on their proximity to your location or the location of interest.

šŸ“˜

NOTE

This endpoint does not list the assets that do not have an asset gateway assigned or installed.

require 'uri'
require 'net/http'

url = URI('https://api.gomotive.com/v1/freight_visibility/asset_association')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"

response = http.request(request)
puts response.read_body

Response Parameters

Data

  • Type: Object
  • Description: Contains details about assets and their locations.

asset_details

  • Type: Array of Objects
  • Description: List of asset details such as status, type, and location information.

name

  • Type: String
  • Description: The name of the asset.

status

  • Type: String
  • Description: The current status of the asset (e.g., active).

type

  • Type: String
  • Description: The type of the asset (e.g., dry_box, low_boy).

vin

  • Type: Null
  • Description: Vehicle Identification Number (VIN) of the asset, if applicable.

license_plate_state

  • Type: Null
  • Description: State of the license plate associated with the asset.

license_plate_number

  • Type: Null
  • Description: License plate number of the asset.

make

  • Type: String
  • Description: The manufacturer of the asset.

model

  • Type: String
  • Description: The model of the asset.

year

  • Type: String
  • Description: The year the asset was manufactured.

axle

  • Type: String
  • Description: Number of axles on the asset.

weight_metric_units

  • Type: Boolean
  • Description: Indicates whether weight is measured in metric units.

length_metric_units

  • Type: Boolean
  • Description: Indicates whether length is measured in metric units.

leased

  • Type: String
  • Description: Indicates whether the asset is leased.

notes

  • Type: String
  • Description: Additional notes associated with the asset.

length

  • Type: String
  • Description: Length of the asset, if available.

gvwr

  • Type: String
  • Description: Gross Vehicle Weight Rating (GVWR) of the asset.

gawr

  • Type: String
  • Description: Gross Axle Weight Rating (GAWR) of the asset.

asset_gateway

  • Type: Object
  • Description: Gateway details for the asset.

id

  • Type: Integer
  • Description: Unique identifier of the asset gateway.

identifier

  • Type: String
  • Description: Identifier of the asset gateway.

active

  • Type: Boolean
  • Description: Indicates whether the asset gateway is active.

asset_id

  • Type: Integer
  • Description: Unique identifier for the asset.

trailer_id

  • Type: Integer
  • Description: Trailer ID associated with the asset, if applicable.

located_at

  • Type: String
  • Description: Timestamp of when the asset location was recorded.

lat

  • Type: Float
  • Description: Latitude of the asset’s location.

lon

  • Type: Float
  • Description: Longitude of the asset’s location.

distance_origin

  • Type: Float
  • Description: Distance of the asset from the provided location, in kilometers.

description

  • Type: String
  • Description: Descriptive text of the asset’s current location and distance from the origin.

company_id

  • Type: Integer
  • Description: Unique identifier for the company.

dot_ids

  • Type: Array of Strings
  • Description: List of DOT (Department of Transportation) IDs associated with the company.

integration_status

  • Type: String
  • Description: Status of the company's integration.

Query Params
int32

Specify the ID of the company as assigned by Motive.

int32

Specify the ID provided by the Department of Transportation, if you do not have the company_id.

float

Specify the latitude of the location from where you want to check the nearby available vehicles.

float

Specify the longitude of the location from where you are checking the nearby vehicles for service.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json